<?php 
require_once 'vendor/autoload.php'; 
include 'DeviceDetector.php';
use DeviceDetector\DeviceDetector;
use DeviceDetector\Parser\Device\DeviceParserAbstract;

//var_dump($argv);
// OPTIONAL: Set version truncation to none, so full versions will be returned
// By default only minor versions will be returned (e.g. X.Y)
// for other options see VERSION_TRUNCATION_* constants in DeviceParserAbstract class
DeviceParserAbstract::setVersionTruncation(DeviceParserAbstract::VERSION_TRUNCATION_NONE);
$dd = new DeviceDetector($argv[1]);

//echo $ua;

// OPTIONAL: Set caching method
// By default static cache is used, which works best within one php process (memory array caching)
// To cache across requests use caching in files or memcache
//$dd->setCache(new Doctrine\Common\Cache\PhpFileCache('./tmp/'));

// OPTIONAL: If called, getBot() will only return true if a bot was detected  (speeds up detection a bit)
//$dd->discardBotInformation();

// OPTIONAL: If called, bot detection will completely be skipped (bots will be detected as regular devices then)
//$dd->skipBotDetection();

$dd->parse();

  $clientInfo = $dd->getClient(); // holds information about browser, feed reader, media player, ...
  $osInfo = $dd->getOs();
  $device = $dd->getDevice();
  $brand = $dd->getBrand();
  $model = $dd->getModel();
  $botinfo = $dd->getBot();

//We only Output if there is useful Information
//var_dump($clientInfo);
//var_dump($osInfo);
//var_dump($device);
//var_dump($brand);
//var_dump($model);
//var_dump($botinfo);

$UsefulInfo=(!empty($clientInfo["type"]) or 
		!empty($clientInfo["name"]) or
		!empty($clientInfo["short_name"]) or
		!empty($clientInfo["version"]) or 
		!empty($clientInfo["platform"]) or
		!empty($osInfo["name"]) or
		!empty($osInfo["short_name"]) or
		!empty($osInfo["version"]) or
		!empty($osInfo["platfrom"]) or
		$brand or
		$model or
		!empty($botinfo["name"]) );

if($UsefulInfo)
{
	echo $argv[1]; 
	echo "^";
	if(!empty($clientInfo["type"])) {echo $clientInfo["type"];}
	echo "^";
	if(!empty($clientInfo["name"])) {echo $clientInfo["name"];}
	echo "^";
	if(!empty($clientInfo["short_name"])) {echo $clientInfo["short_name"];}
	echo "^";
	if(!empty($clientInfo["version"])) {echo $clientInfo["version"];}
	echo "^";
	if(!empty($clientInfo["platform"])) {echo $clientInfo["platform"];}
	echo "^";
	if(!empty($osInfo["name"])) {echo $osInfo["name"];}
	echo "^";
	if(!empty($osInfo["short_name"])) {echo $osInfo["short_name"];}
	echo "^";
	if(!empty($osInfo["version"])) {echo $osInfo["version"];}
	echo "^";
	if(!empty($osInfo["platform"])) {echo $osInfo["platform"];}
	echo "^";
	echo $brand; 
	echo "^";
	echo $model;
        echo "^";
	if (!empty($botinfo["name"])) {echo $botinfo["name"];}
	echo "\r\n";
}
 ?>
